Post

9 followers Follow
0
Avatar

Export to multiple devices

We are also getting a problem exporting indesign files into other devices. There was no problem when using this function prior to the update, since updating the following errors occur when trying to export an indesign file from iPad Retina into iPad, Android and Kindle

Richard Berry

Please sign in to leave a comment.

23 comments

0
Avatar

Richard,

Would you mind shooting over a direct download link to a .zip file containing this particular troublesome InDesign vertical file that you're getting these errors?  Please include any applicable links if necessary (images, video, html files)

 Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

No problem, I'm off work on Monday so nipped in today to get this over to you assp.

 

I've zipped up the doc/files and attached below.

 

Cheers Mike

Rich

Richard Berry 0 votes
0
Avatar

I've had this problem too on a few verticals. I debugged by exporting each layer separately and found the problem on a pop-up layer with pop-up groups. What fixed it for me was renaming the pop-up group.

nathan 0 votes
0
Avatar

It doesn't matter what layout I attempt to export - I get the error on all of them regardless of whether there is a popup layer or not

Richard Berry 0 votes
0
Avatar

Hello folks,

Sorry for not jumping in earlier.  We currently are looking into this issue, I'll be sure to let you know what we find.

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

Adding a comment so I can follow the discussion. I had the same problem with multi-device export. Half of my verticals wouldn't export, and only a few of them utilized popup groups. I ended up copying from the iPad file and manually pasted and resized the objects into an iPhone file to meet a deadline. 

Erica Lampley 0 votes
0
Avatar

Temporary fix for me was to find the offending object (usually a pop-up, but not restricted to) and hit the refresh button next to the 'Object Type'.

Rename the object and output again. Although you will still get the 'TypeError:', the verticals should still export.

 

The other workaround for me was to export problematic pages one device at a time. Not ideal, but it generally works and keeps us going until a fix arrives.

Best

Dave

David Gamble 0 votes
0
Avatar

I tried both of these fixes just now, and I still get the error message "Object is Invalid". I then deleted everything on the vertical and tried to export to see what would happen, and I still got the error. 

Erica Lampley 0 votes
0
Avatar

Erica,

Do you have an InDesign .idml file you could send me so that I can take a look at it?

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

This file utilizes popup groups, but some of the files that didn't export had no special features. Thank you for looking further into it. 

Erica Lampley 0 votes
0
Avatar

Erica,

The workaround does work for your file (attached).

Resetting each of your Popup items and then re-entering the Object IDs.

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

Strange it didn't work for me the first time... I'll try again! Thanks so much for your help! 

Erica Lampley 0 votes
0
Avatar

This is happening when i export for android on almost all my pages. I have sent in a help request as well. 

Genevieve Horton 0 votes
0
Avatar

I have the same problem. Can't export to Android, even if I delete every object in the page. 

Germà Capdevila 0 votes
0
Avatar

We've just reinstalled the old good 4.3 and now everything is running OK. Please let us know when this issue is solved.

Germà Capdevila 0 votes
0
Avatar

Germa,

If you select your popup element, hit the "reset" button on your Object Type and then re-apply the Object ID this should resolve it.

Otherwise, if you are in the middle of production of an issue that was started using the 4.4 plugin or earlier, it's best to continue using that version (as you have found), since re-exporting in the 5.0 version breaks the functionality of your popups. Once you are ready to start using the 5.0 plugin you will need to use the new templates provided with the 5.0 installer.

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes
0
Avatar

Fair enough, Mike. Thanks for the explanation. 

 

Cheers

 

Germà

Germà Capdevila 0 votes
0
Avatar

Germà, how did you reinstall the 4.3 mag+? 

I need to get up to 5.0 to create a new app but still need 4.3 to avoid the multiple device export problem.

 

Cheers

Rich

Richard Berry 0 votes
0
Avatar

Thanks Mike, those links don't work unfortunately! It's ok though our account guy has sorted me a version of 4 

 

Cheers

Rich

Richard Berry 0 votes
0
Avatar

Sorry Richard, working on getting those fixed.  Let me know if you do need any back versions in the near future.

Regards,

Mike Rettew 

Mag+ Support Team

Mike Rettew 0 votes